<?php
/**
 * @file art_add.php
 *
 * @brief Add new article
 * @author Sobak
 * @version 1.1
 */

defined('INSIDE') or die;
?>

<h1>Dodaj artykuł</h1>
<form action="" method="post">
 <label for="title">Tytuł:</label> <input type="text" name="title" id="title" />
 
 <label for="category">Kategoria:</label>
 <select name="category" id="category">
            <?php
            $query = db::query ("SELECT * FROM {prefix}categories;");

            while ($cat = db::fetch($query)) {
                echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
            }
            ?>
 </select>
 
 <label for="date">Data:</label> <input type="text" name="date" id="date" value="<?php echo date(core::$cfg['date_format']) ?>" /><br />
 <label for="content">Zawartość:</label> <textarea name="content" id="content" rows="20" cols="70"></textarea>
 <label for="seo_title">Tytuł SEO:</label> <input name="seo_title" id="seo_title" type="text" maxlength="100" /> <?php echo helpLink(3); ?>
 <label for="tags">Tagi (oddziel przecinkiem):</label> <input type="text" name="tags" id="tags" />
 <input type="hidden" name="send" value="1" />
 <input type="submit" value="Dodaj" />
</form>


<?php
  $title = db::secure($_POST['title']);
  $content = db::secure($_POST['content']);
  $date = db::secure($_POST['date']);
  $seo_title = db::secure($_POST['seo_title']);
  $tags = db::secure(str_replace (', ', ',', $_POST['tags']));
  $author = $user['login'];
  $category = db::secure($_POST['category']);
  $last_mod_time = time();

  if ($_POST['send'] == 1) {
   $query = db::query ("INSERT INTO {prefix}articles (id, title, content, date, tags, seo_title, author, cat_id, last_mod_time) VALUES('', '$title', '$content', '$date', '$tags', '$seo_title', '$author', '$category', '$last_mod_time');");
   logger::addEvent(3, __FILE__, __LINE__, 'Artykuł "'.$title.'" został dodany');
   core::redirect('?m=arts');
  }

?>