<?php
defined('INSIDE') or die;

/**
 * Security tests
 */
$configPerms = fileperms('config.php');
if ($configPerms == '0777' or $configPerms == '0777') echo '<p class="error">Wykryto poważną lukę w bezpieczeństwie. Natychmiast zmień uprawnienia pliku <code>config.php</code> na <code>664</code>.</p>';
if (file_exists('install.php')) echo '<p class="error">Wykryto poważną lukę w bezpieczeństwie. Niezwłocznie skasuj plik <code>install.php</code> z serwera. <a href="?summary&amp;del_install=true">Usuń automatycznie</a></p>';

 /**
  * Get statisticts
  */
 $countUsers = db::fetch(db::query("SELECT COUNT(*) id FROM {prefix}users"));
 $countPages = db::fetch(db::query("SELECT COUNT(*) allowed_comments FROM {prefix}content"));
 $countArts = db::fetch(db::query("SELECT COUNT(*) id FROM {prefix}articles"));
 $countComments = db::fetch(db::query("SELECT COUNT(*) id FROM {prefix}comments"));
?>

  <h1>Podsumowanie</h1>
  <table border="0">
   <tr><td><b>Wersja skryptu: </b></td>      <td><?php echo VERSION; ?></td></tr>
   <tr><td><b>Ilość użytkowników: </b></td>  <td><?php echo $countUsers[0]; ?></td></tr>
   <tr><td><b>Ilość stron: </b></td>         <td><?php echo $countPages[0]; ?></td></tr>
   <tr><td><b>Ilość artykułów: </b></td>     <td><?php echo $countArts[0]; ?></td></tr>
   <tr><td><b>Ilość komentarzy: </b></td>     <td><?php echo $countComments[0]; ?></td></tr>
  </table>
  
 <?php 
 if ($_GET['del_install'] == true) {
 if (file_exists('install.php')) {    
        unlink('install.php') or die('<p class="error">Nie udało się skasować instalatora. Zrób to ręcznie.</p>');
        echo '<p class="success">Instalator został skasowany</p>';
 }
 
 else {
        echo '<p class="success">Najwyraźniej instalator został już skasowany lub zmieniłeś mu nazwę.</p>';
 }
 }
 ?>