<?php
/**
 * @file trash.php
 *
 * @brief Trash
 * @author Sobak
 * @version 1.1
 */
defined('INSIDE') or die;

 $pages = db::query ("SELECT id, title, page_status FROM {prefix}content WHERE page_status = '1'");
 $articles = db::query ("SELECT id, title, in_trash FROM {prefix}articles WHERE in_trash = '1'");

 if ($_GET['msg'] == 1) {
     echo '<p class="success">Element został przeniesiony do kosza.</p>';
 }

 if ($_GET['msg'] == 2) {
     echo '<p class="success">Element został odzyskany z kosza.</p>';
 }


switch ($_GET['do']) {

 /**
  * Move to trash
  */
 case 'move':
  $id = db::secure($_GET['id']);
  $item = db::secure($_GET['item']);

  
  if ($item == 'page') {
      db::query ("UPDATE {prefix}content SET page_status='1' WHERE id='$id'");
  }
  else {
      db::query ("UPDATE {prefix}articles SET in_trash='1' WHERE id='$id'");
  }

  core::redirect('?m=trash&msg=1');
 break;

 /**
  * Restore from trash
 **/
 case 'restore':
  $id = db::secure($_GET['id']);

  $item = db::secure($_GET['item']);

  if ($item == 'page') {
      db::query ("UPDATE {prefix}content SET page_status=0 WHERE id='$id'");
  }
  else {
      db::query ("UPDATE {prefix}articles SET in_trash=0 WHERE id='$id'");
  }
  
  core::redirect('?m=trash&msg=2');
 break;

 /**
  * Show items in trash
 **/
 default:
 echo '<h1>Kosz</h1>';
 echo '<h3>Strony</h3>';
 echo '<table><tr><td><b>Tytuł</b></td> <td><b>Akcja</b></td></tr>';

 if (db::rows($pages) == 0) {
  echo '<tr><td colspan="2"><em>Brak stron w koszu.</em></td></tr>';
 }

 while ($row = db::fetch($pages)) {
  $title = $row['title'];
  $id = $row['id'];

  echo "<tr><td>$title</td> <td><a href=\"?m=trash&amp;do=restore&amp;item=page&amp;id=$id\">".editIcon('Przywróć')."</a> | <a href=\"?m=del&amp;what=page&amp;id=$id\">".delIcon('Usuń')."</a></td>\n";
 }

 echo '</table>';

  echo '<h3>Artykuły</h3>';
 echo '<table><tr><td><b>Tytuł</b></td> <td><b>Akcja</b></td></tr>';

 if (db::rows($articles) == 0) {
  echo '<tr><td colspan="2"><em>Brak artykułów w koszu.</em></td></tr>';
 }

 while ($row = db::fetch($articles)) {
  $title = $row['title'];
  $id = $row['id'];

  echo "<tr><td>$title</td> <td><a href=\"?m=trash&amp;do=restore&amp;item=article&amp;id=$id\">".editIcon('Przywróć')."</a> | <a href=\"?m=del&amp;what=article&amp;id=$id\">".delIcon('Usuń')."</a></td>\n";
 }

 echo '</table>';

 break;
}
?>