<?php
/**
 * @file updates.php
 *
 * @brief Check whether updates are avalible
 * @author Sobak
 * @version 1.2.1
 */
defined('INSIDE') or die;

 $currentVer = str_replace ('.', '', VERSION);
 $newestVer = @file_get_contents ('http://cms.sobak.pl/ver.txt') or die ('<p class="error">Przepraszamy, nie udało się sprawdzić aktualności aplikacji. Spróbuj później.</p><p>Możliwe, że Twój serwer nie obsługuje funkcji <code>file_get_contents()</code> dla zewnętrznych URL-i. Jeśli tak, kliknij <a href="http://cms.sobak.pl/updates_checker.php?ver='.$currentVer.'">tutaj</a>.</p>');
 
 if ($newestVer > $currentVer) {
    echo '<p class="error">Dostępny jest IronCMS w nowszej wersji. Dokonaj aktualizacji.</p>';
 }

 elseif ($newestVer == $currentVer) {
    echo '<p class="success">Gratulacje! Używasz najnowszej wersji IronCMS-a.</p>';
 }
 
 else {
     echo '<p class="error">Używasz nieznanej wersji IronCMS-a.</p>';
 }

?>