<?php

/**
 *
 * @global array $content
 * @return string
 * 
 * Returns keywords to current page. If keywords are not set, then show default keywords 
 */
function getKeywords () {
    global $content;
    return empty($content['keywords']) ? core::getSetting('default_keywords') : $content['keywords'];
}

/**
 *
 * @global array $content
 * @return string
 * 
 * Returns description to current page. If description is not set, then show default keywords 
 */
function getDescription () {
    global $content;
    return empty($content['description']) ? core::getSetting('default_description') : $content['description'];
}