<?php
/**
 * @file art_categories.php
 *
 * @brief Manage categories of articles
 * @author Sobak
 * @version 1.1
 */
defined('INSIDE') or die;

$result = db::query("SELECT id, name FROM {prefix}categories");

 echo '<h1>Kategorie Artykułów</h1>';
 echo '<table><tr class="headrow"><td>Tytuł</td> <td>Akcja</td></tr>';

 if (db::rows($result) == 0) {
  echo '<tr><td colspan="2"><em>Brak kategorii.</em></td></tr>';
 }

 while ($row = db::fetch($result)) {
  $name = $row['name'];
  $id = $row['id'];

  echo "<tr><td>$name</td> <td><a href=\"?m=art_category_edit&amp;id=$id\">".editIcon()."</a> | <a href=\"?m=del&amp;what=cat&amp;id=$id\">".delIcon()."</a></td>";
 }

 echo '</table>';

 echo '<p><a href="?m=art_category_add">Dodaj nową kategorię artykułów</a></p>';

?>