<?php
/**
 * @file page_add.php
 *
 * @brief Add new page
 * @author Sobak
 * @version 1.1
 */
defined('INSIDE') or die;
?>

<h1>Dodaj stronę</h1>
<form action="" method="post">
 <fieldset>
 <legend>Podstawowe informacje</legend>
 <label for="id">Prosta nazwa:</label> <input type="text" name="id" id="id" /> <?php echo helpLink(5); ?>
 <label for="name">Nazwa:</label> <input type="text" name="title" id="title" />
 <label for="allow_comments">Zezwalać na komentarze?</label> <input type="radio" name="allow_comments" id="allow_comments" value="1" />Tak <input type="radio" name="allow_comments" value="0" checked="checked" />Nie
 <label for="content">Zawartość:</label> <textarea name="content" id="content" rows="20" cols="70"></textarea>
 </fieldset>
    
 <fieldset>
 <legend>SEO</legend>
 <label for="description">Opis:</label> <input type="text" name="description" id="description" /> (zostaw puste, aby użyć domyślnego)
 <label for="keywords">Słowa kluczowe:</label> <input type="text" name="keywords" id="keywords" /> (zostaw puste, aby użyć domyślnych)
 <label for="additional_headers">Dodatkowa zawartość w head:</label> <input type="text" name="additional_headers" id="additional_headers" />
 </fieldset>

 <fieldset>
 <legend>Dodawanie do menu</legend>
 <label for="menu">Dodać do menu?</label> <input type="radio" name="menu" id="menu" checked="checked" value="1" />Tak <input type="radio" name="menu" value="0" />Nie
 <label for="order">Kolejność:</label> <input type="text" name="order" id="order" />
 <label for="name">Nazwa:</label> <input type="text" name="name" id="name" />
 <label for="menu_id">ID menu:</label> <input type="text" name="menu_id" id="menu_id" /><?php echo helpLink(2); ?>
 </fieldset>
 <input type="hidden" name="send" value="1" />
 <input type="submit" value="Dodaj" /><br />

</form>


<?php
  if ($_POST['send'] == 1) {
      $id = db::secure($_POST['id']);
      $title = db::secure($_POST['title']);
      $description = db::secure($_POST['description']);
      $keywords = db::secure($_POST['keywords']);
      $allow_comments = db::secure($_POST['allow_comments']);
      $content = db::secure($_POST['content']);
      $additional_headers = db::secure($_POST['additional_headers']);
      $menu = db::secure($_POST['menu']);
      $order = db::secure($_POST['order']);
      $name = db::secure($_POST['name']);
      $menu_id = db::secure($_POST['menu_id']);
      $last_mod_time = time();   
   

   $page_exists = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}content WHERE id = '$id'"));
   if ($page_exists[0] != 0) {
       // Page with that ID already exists
       echo '<p class="error">Błąd: Strona o podanej nazwie już istnieje. Wciśnij wstecz w przeglądarce i wybierz inną nazwę.</p>';
   }

   else {
   db::query ("INSERT INTO {prefix}content (id, title, description, keywords, allow_comments, content, additional_headers, last_mod_time, page_type) VALUES ('$id', '$title', '$description', '$keywords', '$allow_comments', '$content', '$additional_headers', '$last_mod_time', 1)");

   if ($menu == 1) {
    $query = db::query("INSERT INTO {prefix}menu (id, `order`, name, url, menu_id) VALUES ('$id', '$order', '$name', '?$id', '$menu_id')");
   }

   if ($query) {
       logger::addEvent(3, __FILE__, __LINE__, 'Strona "'.$title.'" została dodana');
       echo '<p class="success">Strona została dodana! <a href="?m=page_edit&amp;id='.$id.'">Edycja</a>.</p>';
   }

   else {
       echo '<p class="error">Błąd! Strona nie została dodana!</p>';
   }
   }
  }

?>