<?php
/**
 * @brief add comment
 *
 * @package Iron CMS
 * @author Sobak
 * @version 1.2
 */

            // Check whether user is logged in
            if (!user::isLogged () and core::getSetting('allow_guests_comments') == 0) {
                 die ('<p class="error">Nie jesteś zalogowany.</p>');
            }

$txt = db::secure(strip_tags($_POST['commentText']));
if ($_POST['nick'] == '')
    $author  = $user['login'];

else
    $author  = db::secure($_POST['nick']).' (gość)';
$date = date (core::$cfg['date_format']);
$pageID = $addr[1];
$ip = db::secure($_SERVER['REMOTE_ADDR']);

if ($txt and $author and $pageID) {

 // Check whether is comment to article or page
 if ($addr[2] == 'art') {

 // If it's admin then accept comment
 if ($user['level'] == 1) {
    db::query ("INSERT INTO {prefix}comments (id, author, date, content, page_id, ip, accepted, is_article) VALUES('', '$author', '$date', '$txt', '$pageID', '$ip', 1, 1);");
 }

 // It's normal user. Admin will must accept this comment
 else {
     db::query ("INSERT INTO {prefix}comments (id, author, date, content, page_id, ip, is_article) VALUES('', '$author', '$date', '$txt', '$pageID', '$ip', 1);");
 }

 }

 else {
     // Is comment to page

     // If it's admin then accept comment
     if ($user['level'] == 1) {
        db::query ("INSERT INTO {prefix}comments (id, author, date, content, page_id, ip, accepted, is_article) VALUES('', '$author', '$date', '$txt', '$pageID', '$ip', 1, 0);");
     }

     // It's normal user. Admin will must accept this comment
     else {
         db::query ("INSERT INTO {prefix}comments (id, author, date, content, page_id, ip, is_article) VALUES('', '$author', '$date', '$txt', '$pageID', '$ip', 0);");
     }
 }

 if ($user['level'] == 1)
     if ($addr[2] == 'art')
     echo '<p class="success">Komentarz został wysłany<br /><a href="?articles/single/article/'.$pageID.'">Wróć</a></p>';

     else
     echo '<p class="success">Komentarz został wysłany<br /><a href="?'.$pageID.'">Wróć</a></p>';

 else
     if ($addr[2] == 'art')
     echo '<p class="success">Komentarz został wysłany<br />Poczekaj aż zaakceptuje go administrator<br /><a href="?articles/single/article/'.$pageID.'">Wróć</a></p>';

     else
     echo '<p class="success">Komentarz został wysłany<br />Poczekaj aż zaakceptuje go administrator<br /><a href="?'.$pageID.'">Wróć</a></p>';
}

else {
    if ($addr[2] == 'art')
    echo '<p class="error">Wypełnij wszystkie pola!<br /><a href="?articles/single/article/'.$pageID.'">Wróć</a></p>';

    else
    echo '<p class="error">Wypełnij wszystkie pola!<br /><a href="?'.$pageID.'">Wróć</a></p>';
}

?>